Katello - Bug #6479

"Product Content” page shows edit buttons for read only user
07/02/2014 03:28 PM - Walden Raines

Status: Closed

Priority: Normal

Assignee: Walden Raines

Category: Web Ul

Target version: Katello 2.0

Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1115633 Red Hat JIRA:

Pull request:

Description

Steps to Reproduce

1. Create a non-admin user

2. Give them the "view_content_hosts" permission

3. Go to systems -> choose a system -> product content
4. Notice you can see edit buttons

5. Attempt to save

6. Notice 403

Associated revisions

Revision 22032b7d - 07/02/2014 03:55 PM - Walden Raines
Fixes #6479/BZ1115633: hide product content edit button if applicable

If the user does not have permission do not show the product content
edit button.

http://projects.theforeman.org/issues/6479
https://bugzilla.redhat.com/show_bug.cgi?id=1115633

Revision 18541255 - 07/02/2014 03:55 PM - Walden Raines
Fixes #6479/BZ1115633: hide product content edit button if applicable

If the user does not have permission do not show the product content
edit button.

http://projects.theforeman.org/issues/6479
https://bugzilla.redhat.com/show_bug.cgi?id=1115633

Revision f2079e13 - 07/07/2014 10:44 AM - Walden Raines
Merge pull request #4383 from waldenraines/6479

Fixes #6479/BZ1115633: hide product content edit button if applicable

Revision £316ddb5 - 07/07/2014 10:44 AM - Walden Raines
Merge pull request #4383 from waldenraines/6479

Fixes #6479/BZ1115633: hide product content edit button if applicable

History

#1 - 07/02/2014 03:31 PM - Walden Raines
- Bugzilla link set to 1115633

#2 - 07/02/2014 03:58 PM - Walden Raines

05/17/2024

1/2



http://projects.theforeman.org/issues/6479
https://bugzilla.redhat.com/show_bug.cgi?id=1115633
http://projects.theforeman.org/issues/6479
https://bugzilla.redhat.com/show_bug.cgi?id=1115633

- Status changed from New to Ready For Testing

https://github.com/Katello/katello/pull/4383

#3 - 07/07/2014 07:11 AM - Eric Helms

- Target version changed from 48 to 49

#4 - 07/07/2014 11:03 AM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|22032b7d2fdc23d21{31f4aceaa0522b3fa85e57.

#5 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13

05/17/2024 22
